package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.TrafficAreaObject;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

import java.util.List;

public class AllTrafficAreaNode extends Renderable {

    private final List<TrafficAreaObject> areas;

    private final String text;

    public AllTrafficAreaNode(List<TrafficAreaObject> areas, TrafficAreaObject.TrafficAreaType type) {
        this.areas = areas;
        this.text = type.toString();

    }

    @Override
    public void refreshTextColor() {
        // no use
    }

    @Override
    public String getText() {
        return this.text;
    }

    @Override
    public void visit(Renderer renderer) {
        renderer.renderTransportation(areas);
    }

}
